<br>
<h3>ngSwitch</h3>

<button class="btn btn-info" (click)="alertType='info'"> Info</button>
<button class="btn btn-success" (click)="alertType='success'"> Success</button>
<button class="btn btn-danger" (click)="alertType='danger'"> Danger</button>
<button class="btn btn-warning" (click)="alertType='warning'"> Warning</button>

<br>
<br>

<div [ngSwitch]="alertType">
  <div class="alert alert-success" *ngSwitchCase="'success'">Alert success  in switch</div>

  <div class="alert alert-info" *ngSwitchCase="'info'">Alert success in switch</div>

  <div class="alert alert-warning" *ngSwitchCase="'warning'">Alert warning in switch</div>

  <div class="alert alert-danger" *ngSwitchDefault>Alert danger  in switch</div>
</div>
